Loading...
Searching...
No Matches
enums.hpp File Reference

Generic M2K enumerations. More...

`#include <string>`
`#include <vector>`
Include dependency graph for enums.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | libm2k::CALIBRATION_PARAMETERS
| Calibration parameters of m2k. More...
struct | libm2k::SETTINGS
| Triggering system. More...
struct | libm2k::CONTEXT_INFO
| Additional information about the context. More...
struct | libm2k::IIO_CONTEXT_VERSION
| The version of the backend. More...

## Enumerations

enum | libm2k::M2K_EXCEPTION_TYPE { EXC_OUT_OF_RANGE = 0 , EXC_RUNTIME_ERROR = 1 , EXC_INVALID_PARAMETER = 2 , EXC_TIMEOUT = 3 , EXC_INVALID_FIRMWARE_VERSION = 4 }
| M2k exception types.
enum | libm2k::M2K_TRIGGER_CONDITION_ANALOG { RISING_EDGE_ANALOG = 0 , FALLING_EDGE_ANALOG = 1 , LOW_LEVEL_ANALOG = 2 , HIGH_LEVEL_ANALOG = 3 }
| Condition of triggering. More...
enum | libm2k::M2K_TRIGGER_CONDITION_DIGITAL { RISING_EDGE_DIGITAL = 0 , FALLING_EDGE_DIGITAL = 1 , LOW_LEVEL_DIGITAL = 2 , HIGH_LEVEL_DIGITAL = 3 , ANY_EDGE_DIGITAL = 4 , NO_TRIGGER_DIGITAL = 5 }
| Condition of triggering. More...
enum | libm2k::M2K_TRIGGER_MODE { libm2k::ALWAYS = 0 , libm2k::ANALOG = 1 , libm2k::EXTERNAL = 2 , DIGITAL_OR_ANALOG = 3 , DIGITAL_AND_ANALOG = 4 , DIGITAL_XOR_ANALOG = 5 , N_DIGITAL_OR_ANALOG = 6 , N_DIGITAL_AND_ANALOG = 7 , N_DIGITAL_XOR_ANALOG = 8 }
| Select the mode for the analog trigger. More...
enum | libm2k::M2K_TRIGGER_SOURCE_ANALOG { libm2k::CHANNEL_1 = 0 , libm2k::CHANNEL_2 = 1 , CHANNEL_1_OR_CHANNEL_2 = 2 , CHANNEL_1_AND_CHANNEL_2 = 3 , CHANNEL_1_XOR_CHANNEL_2 = 4 , libm2k::SRC_DIGITAL_IN = 5 , CHANNEL_1_OR_SRC_LOGIC_ANALYZER = 6 , CHANNEL_2_OR_SRC_LOGIC_ANALYZER = 7 , CHANNEL_1_OR_CHANNEL_2_OR_SRC_LOGIC_ANALYZER = 8 , libm2k::NO_SOURCE = 9 }
| Select the source for the analog trigger. More...
enum | libm2k::M2K_TRIGGER_SOURCE_OUT { TRIGGER_NONE = 0 , TRIGGER_TI = 1 , TRIGGER_ADC = 2 , TRIGGER_LA = 3 }
| Selects the source trigger for the output interfaces.
enum | libm2k::M2K_TRIGGER_CONDITION_OUT { NONE_OUT = 0 , LOW_LEVEL_OUT = 1 , HIGH_LEVEL_OUT = 2 , ANY_EDGE_OUT = 3 , RISING_EDGE_OUT = 4 , FALLING_EDGE_OUT = 5 }
| Trigger condition when the source for M2K_TRIGGER_SOURCE_OUT is TRIGGER_TI.
enum | libm2k::M2K_TRIGGER_STATUS_ANALOG_OUT { DISABLED = 0 , START = 1 , STOP = 2 }
| The status value determines the action that the output interface will take when the trigger condition is met.
enum | libm2k::M2K_TRIGGER_SOURCE_DIGITAL { libm2k::SRC_TRIGGER_IN = 0 , libm2k::SRC_ANALOG_IN = 1 , libm2k::SRC_NONE = 2 , libm2k::SRC_DISABLED = 3 }
| Select the source for the digital trigger. More...
enum | libm2k::M2K_TRIGGER_OUT_SELECT { libm2k::SELECT_NONE = 0 , SELECT_TRIGGER_I_SAME_CHAN = 1 , libm2k::SELECT_TRIGGER_IN = 2 , libm2k::SELECT_ANALOG_IN = 3 , libm2k::SELECT_DIGITAL_IN = 4 }
| Select which trigger event will be forwarded on TO pin (trigger out). More...

## Detailed Description

Generic M2K enumerations.

## Enumeration Type Documentation

## M2K_TRIGGER_CONDITION_ANALOG

enum libm2k::M2K_TRIGGER_CONDITION_ANALOG

Condition of triggering.

for the analog side

## M2K_TRIGGER_CONDITION_DIGITAL

enum libm2k::M2K_TRIGGER_CONDITION_DIGITAL

Condition of triggering.

for the digital side

## M2K_TRIGGER_MODE

enum libm2k::M2K_TRIGGER_MODE

Select the mode for the analog trigger.

Enumerator
ALWAYS | ALWAYS - Disable analog trigger;.
ANALOG | ANALOG - Trigger condition specified only by analog trigger (CH1 and CH2).
EXTERNAL | EXTERNAL - Trigger condition specified only by external trigger (TI).

## M2K_TRIGGER_OUT_SELECT

enum libm2k::M2K_TRIGGER_OUT_SELECT

Select which trigger event will be forwarded on TO pin (trigger out).

Enumerator
SELECT_NONE | SELECT_NONE - no trigger event is forwarded.
SELECT_TRIGGER_IN | SELECT_TRIGGER_IN - forwards trigger events from TI pin(trigger in).
SELECT_ANALOG_IN | SELECT_ANALOG_IN - forwards trigger events from AnalogIn interface.
SELECT_DIGITAL_IN | SELECT_DIGITAL_IN - forwards trigger events from DigitalIn interface.

## M2K_TRIGGER_SOURCE_ANALOG

enum libm2k::M2K_TRIGGER_SOURCE_ANALOG

Select the source for the analog trigger.

Enumerator
CHANNEL_1 | CHANNEL_1 - trigger events on analog CHANNEL_1 trigger the AnalogIn interface.
CHANNEL_2 | CHANNEL_2 - trigger events on analog CHANNEL_2 trigger the AnalogIn interface.
SRC_DIGITAL_IN | SRC_DIGITAL_IN - trigger events on the DigitalIn interface trigger the AnalogIn interface.
NO_SOURCE | NO_SOURCE - block the AnalogIn interface.

## M2K_TRIGGER_SOURCE_DIGITAL

enum libm2k::M2K_TRIGGER_SOURCE_DIGITAL

Select the source for the digital trigger.

Enumerator
SRC_TRIGGER_IN | SRC_TRIGGER_IN - trigger events on the TI(trigger in) pin trigger the DigitalIn interface.
SRC_ANALOG_IN | SRC_ANALOG_IN - trigger events on the AnalogIn interface trigger the DigitalIn interface.
SRC_NONE | SRC_NONE - trigger events on the DigitalIn are conditioned by the internal digital trigger structure.
SRC_DISABLED | SRC_DISABLED - block the DigitalIn interface.